List item collections
Returns a list of the item collections in the specified knowledge store.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
knowledge_store_id
The unique identifier of the knowledge store.
Query parameters
page
A number that identifies the page to retrieve.
Default: 1.
page_limit
The number of items to return on each page.
Default: 10.
Max: 50.
sort_by
The field to sort on. The following options are available:
- `created_at`: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item collection was created.
- `updated_at`: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item collection was last updated.
- `name`: Sorts alphabetically by the name of the item collection.
**Default**: `created_at`.
Allowed values:
sort_option
The sorting direction. The following options are available:
- `asc`
- `desc`
**Default**: `desc`.
Response
The item collections have been successfully retrieved.
data
An array containing the item collections.
page_info
An object that provides information about pagination.
Errors
400
Bad Request Error